import { EventEmitter, OnInit } from '@angular/core';
import { Icon } from '../../../enum/icon.enum';
import { DictionaryService } from '../../../service/dictionary.service';
import { IconCacheService } from '../../../service/icon-cache.service';
import { TransactionService } from '../../../service/transaction.service';
import { TransactionLineInfo } from '@colijnit/transactionapi/build/model/transaction-line-info.bo';
import { StandardText } from '../../../model/standard-text';
import { TransactionAddTextLineRequest } from '@colijnit/transactionapi/build/model/transaction-add-text-line-request.bo';
import { OrderLineSetCategory } from '@colijnit/mainapi/build/model/order-line-set-category.bo';
import { OrderLineSetDTO } from '@colijnit/transactionapi/build/model/order-line-set-dto';
import { FormComponent } from '@colijnit/corecomponents_v12';
import { FilterItemViewmodel } from '@colijnit/corecomponents_v12/lib/components/filter-item/filter-item-viewmodel';
export declare class TransactionArticleTextComponent implements OnInit {
    transactionService: TransactionService;
    iconCacheService: IconCacheService;
    private _dictionaryService;
    readonly icons: typeof Icon;
    form: FormComponent;
    header: string;
    transactionUuid: string;
    set transactionLine(value: TransactionLineInfo);
    get transactionLine(): TransactionLineInfo;
    set orderLineSetDTO(value: OrderLineSetDTO);
    get orderLineSetDTO(): OrderLineSetDTO;
    set articleRef(value: string);
    get articleRef(): string;
    set editText(value: string);
    set articleLineNr(value: number);
    showArticleImageDescription: boolean;
    showImage: boolean;
    closeClick: EventEmitter<MouseEvent>;
    cancelClick: EventEmitter<MouseEvent>;
    saveClick: EventEmitter<{
        request: TransactionAddTextLineRequest;
        new: boolean;
    }>;
    saveOrderLineSetClick: EventEmitter<{
        request: OrderLineSetDTO;
        new: boolean;
    }>;
    showClass(): boolean;
    readonly icon: typeof Icon;
    standardTexts: StandardText[];
    documents: FilterItemViewmodel[];
    orderLineSetCategories: OrderLineSetCategory[];
    showOnDocuments: number[];
    amount: number;
    color: string;
    title: string;
    selectAll: boolean;
    fields: Object;
    fieldsDocuments: Object;
    textAreaPlaceholder: string;
    new: boolean;
    showOrderLineFields: boolean;
    chosenOrderLineSetCategory: OrderLineSetCategory;
    transactionAddTextLineRequest: TransactionAddTextLineRequest;
    private _transactionLine;
    private _articleRef;
    private _orderLineSetDTO;
    constructor(transactionService: TransactionService, iconCacheService: IconCacheService, _dictionaryService: DictionaryService);
    ngOnInit(): Promise<void>;
    onOkClick(event: MouseEvent): void;
    onValidFormSubmit(): void;
    onSelectStandardText(value: StandardText): void;
    handleDocumentsChange(checked: boolean, document: FilterItemViewmodel): void;
    handleSelectAll(select: boolean): void;
    private _setShowOnDocuments;
    private _getShowOnDocuments;
    private _setChosenOrderLineSetCat;
}
